/*
  Motion Puttern Builder
  Sample for Arduino
             ESP32-WROOM / ESP32-WROVER

  NIPPON PULSE MOTOR Co., Ltd.
*/

#ifndef _LCDCONTROL_H_
#define _LCDCONTROL_H_

#include <Arduino.h>

#define LCD_ADRS 0x3E // LCD I2C addless

#define LCD_CMD_SHIFT_RIGHT 0x14
#define LCD_CMD_SHIFT_LEFT  0x10

class LCD_CONTROL
{
  public:

  byte lcd_pos_x = 0;
  byte lcd_pos_y = 0;

  uint8_t write_cmd(uint8_t command, uint8_t data, uint32_t wait_ms);
  void begin(void); // LCD initial
  void printString(String pdata); // 
  void clear(void); // LCD clear
  void DisplayOff(); // LCD display off
  void DisplayOn(); // LCD display on
  void shift_cursor(uint8_t cnt, uint8_t shift_cmd); // Cursor shift
  void Display(String st1, String st2, bool ini);
};

#endif
