/*
  Motion Puttern Builder
  Sample for Arduino
             ESP32-WROOM / ESP32-WROVER

  NIPPON PULSE MOTOR Co., Ltd.
*/

#include <Wire.h>
#include "SW_control.h"

//----------------------------------------------
//switch ---------------------------------------
// Terminal 
#define UP_SW    36  //
#define DOWN_SW  39  //
#define LEFT_SW  34  //
#define RIGHT_SW 35  //
#define A_SW     32  //
#define B_SW     33  //

int PreSwNum = -1;


////////////////////////////////////////////////////////////////
// Switch initial
//
void SW_CONTROL::begin(void)
{ 
  //input PORT
  pinMode(UP_SW, INPUT); // 
  pinMode(DOWN_SW, INPUT); // 
  pinMode(LEFT_SW, INPUT); // 
  pinMode(RIGHT_SW, INPUT); // 
  pinMode(A_SW, INPUT_PULLUP); // 
  pinMode(B_SW, INPUT_PULLUP); // 
}


////////////////////////////////////////////////////////////////
// Check switch
// Invalid to hold down.
//
//   sw : Terminal number
//
//   return : false = switch is off
//            true  = switch is on
//
bool SW_CONTROL::Check(int sw)
{
  bool ret = false;
  //
  if (digitalRead(sw) == LOW)
  {
    delay(100);
    if (digitalRead(sw) == LOW)
    {
      if(PreSwNum != sw)
      {   
        PreSwNum = sw;
        ret = true;
      }
    }
  }
  else
  {
    if(PreSwNum == sw)
    {
      PreSwNum = -1;
    }
  }
  //
  return(ret);
}
