/*
  Motion Puttern Builder
  Sample for Arduino
             ESP32-WROOM / ESP32-WROVER

  NIPPON PULSE MOTOR Co., Ltd.
*/

#ifndef MpbSampleHardware_h
#define MpbSampleHardware_h

#define WorkBuffSize 256

class Target_Device
{
public:
  void Read_Status(); // Read status from PSPC4
  void Read_Port(); // Read port from PSPC4
  int CheckPreReg(char UseAxis); // Check pre-register status
  char CheckAxis(int num); // Checking motion axes
  int CheckMotionStatus(); // Operating status check
  int MotioneProcess(int num); // Motion process data write and start command write
  void WriteReg_hw_ini(char com, short *data); // Initial data write for PSPC4 (all axis)
  void Initial(); // PSPC4 initial
  int WaitExe(short WtTime); // WAIT operation
  void RegExe(char Comm, int RegNo, int dat); // Register operation
  bool JumpExe(char Comm, int RegNo, int dat); // Jump operation
  unsigned short REG_Addition(unsigned short Reg, int dat); // Register Addition operation
  unsigned short REG_Subtraction(unsigned short Reg, int dat); // Register Subtraction operation
  void StopCommand();
};

#endif
